Bug 795761 - file does not recognize VirtualBox vdi images
Summary: file does not recognize VirtualBox vdi images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.2
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 796209
TreeView+ depends on / blocked
 
Reported: 2012-02-21 13:35 UTC by Marko Myllynen
Modified: 2012-10-04 12:21 UTC (History)
1 user (show)

Fixed In Version: file-5.04-14.el6
Doc Type: Bug Fix
Doc Text:
Cause: File did not contain magic pattern to detect vdi images. Consequence: File was not able to detect vdi images. Fix: Magic pattern to detect vdi images have been added. Result: File now detects vdi images as expected.
Clone Of:
: 796209 (view as bug list)
Environment:
Last Closed: 2012-10-04 12:21:29 UTC


Attachments (Terms of Use)
proposed patch (575 bytes, patch)
2012-02-22 08:21 UTC, Jan Kaluža
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1339 normal SHIPPED_LIVE file bug fix update 2012-10-04 16:15:20 UTC

Description Marko Myllynen 2012-02-21 13:35:29 UTC
Description of problem:
$ qemu-img create -f vdi vdi.img 1M
Formatting 'vdi.img', fmt=vdi size=1048576 static=off 
$ qemu-img create -f qcow2 qcow2.img 1M
Formatting 'qcow2.img', fmt=qcow2 size=1048576 encryption=off cluster_size=65536 
$ file vdi.img 
vdi.img: data
$ file qcow2.img
qcow2.img: Qemu Image, Format: Qcow , Version: 2


Version-Release number of selected component (if applicable):
file-5.04-11.el6.x86_64

Comment 3 Jan Kaluža 2012-02-22 08:21:48 UTC
Created attachment 564863 [details]
proposed patch

Comment 5 Suzanne Yeghiayan 2012-03-07 21:28:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.

Comment 9 Jan Kaluža 2012-08-14 07:30:43 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: File did not contain magic pattern to detect vdi images.
Consequence: File was not able to detect vdi images.
Fix: Magic pattern to detect vdi images have been added.
Result: File now detects vdi images as expected.

Comment 13 errata-xmlrpc 2012-10-04 12:21:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1339.html


Note You need to log in before you can comment on or make changes to this bug.